/**
 * Created by Tony on 2016/12/23.
 */
let mongoose = require('mongoose');
let dbm = require("../../../config/db/db_manager");
let smartcostdb = dbm.getCfgConnection("scConstruct");
let Schema = mongoose.Schema;
let RptTemplateSchema = new Schema({
    "ID" : Number,
    "GROUP_KEY": String,
    "ID_KEY": String,
    "主信息": Schema.Types.Mixed,
    "指标_数据_映射": Schema.Types.Mixed,
    "布局框_集合": Array,
    "流水式表_信息": Schema.Types.Mixed,
    "账单式表_信息": Schema.Types.Mixed,
    "交叉表_信息": Schema.Types.Mixed,
    "无映射离散指标_集合": Schema.Types.Mixed,
    "离散参数_集合": Schema.Types.Mixed,
    "计算式_集合": Array
});

let Template = smartcostdb.model("rpt_templates", RptTemplateSchema, "rpt_templates");

module.exports = Template;
